%define soname 1

Name:           mp4v2
Version: 1.9.1
Release: 0.pm.1.4
License:        MPLv1.1
Summary:        Collection of software to create and modify mp4 files
Url:            http://code.google.com/p/mp4v2/
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The MP4v2 library provides an API to create and modify mp4 files as defined by
ISO-IEC:14496-1:2001 MPEG-4 Systems. This file format is derived from Apple's
QuickTime file format that has been used as a multimedia file format in a
variety of platforms and applications. It is a very powerful and extensible
format that can accommodate practically any type of media.

MP4v2 was originally bundled with mpeg4ip library, but has been moved into its
own maintained library due to a combination of the cessation of support of
mpeg4ip and the usefulness of this library on its own.

%package -n lib%{name}-%{soname}
Summary:        Library to create and modify mp4 files
Group:          System/Libraries

%description -n lib%{name}-%{soname}
The MP4v2 library provides an API to create and modify mp4 files as defined by
ISO-IEC:14496-1:2001 MPEG-4 Systems. This file format is derived from Apple's
QuickTime file format that has been used as a multimedia file format in a
variety of platforms and applications. It is a very powerful and extensible
format that can accommodate practically any type of media.

MP4v2 was originally bundled with mpeg4ip library, but has been moved into its
own maintained library due to a combination of the cessation of support of
mpeg4ip and the usefulness of this library on its own.

%package -n lib%{name}-devel
Summary:        Libmp4v2 development files
Group:          Development/Libraries/C and C++
Requires:       lib%{name}-%{soname} = %{version}

%description -n lib%{name}-devel
Headers and libraries to program against %{name}

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
rm -f '%{buildroot}%{_libdir}/lib%{name}.la'
# Compatibility with pre-fork versions
ln -s %{name}/%{name}.h %{buildroot}%{_includedir}/mp4.h

%post -n lib%{name}-%{soname} -p /sbin/ldconfig

%postun -n lib%{name}-%{soname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*.1%{ext_man}

%files -n lib%{name}-%{soname}
%defattr(0644, root, root, 0755)
%doc README COPYING doc/*.txt
%{_libdir}/lib%{name}.so.%{soname}*

%files -n lib%{name}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_includedir}/mp4.h

%changelog
* Wed Mar  2 2011 reddwarf@opensuse.org
- Initial package
